--[[
##########################################################
Inked!: keivamp
##########################################################
]]--
local Inked = LibStub("AceAddon-3.0"):GetAddon("Inked")

---Objective Frame ---
    local addon, ns = ...
	local G, F, C, L = unpack(select(2,...))
	local color = RAID_CLASS_COLORS[select(2, UnitClass("player"))]
				local MyRed = color.r 
				local MyGreen = color.g 
				local MyBlue = color.b 
	
	local MyQuestFrame = CreateFrame("Frame",nil,Minimap)
		MyQuestFrame:SetFrameLevel(10)
		MyQuestFrame:SetWidth(256) -- Set these to whatever height/width is needed 
		MyQuestFrame:SetHeight(128) -- for your Texture
		MyQuestFrame:SetScale(0.65)
		MyQuestFrame:SetPoint("BOTTOMLEFT",-250,-225)
		MyQuestFrame:SetAlpha(1)
		MyQuestFrame:SetMovable(true)
		MyQuestFrame:EnableMouse(true)
		MyQuestFrame:RegisterForDrag("LeftButton")
		MyQuestFrame:SetScript("OnDragStart", MyQuestFrame.StartMoving)
		MyQuestFrame:SetScript("OnDragStop", MyQuestFrame.StopMovingOrSizing)
		MyQuestFrame:SetClampedToScreen(true)
		MyQuestFrame:SetClampRectInsets(0, 0, 0,0)
		MyQuestFrame:SetUserPlaced(true)

		
		local CheckDB = CreateFrame("Frame")
		CheckDB:RegisterEvent("PLAYER_ENTERING_WORLD")
		CheckDB:SetScript("OnEvent", function()
		
			if Inked.db.char.iQL == false then return end
			local MyQuestFrametex = MyQuestFrame:CreateTexture(nil, "BACKGROUND")
			MyQuestFrametex:SetAllPoints()

		
			MyQuestFrametex:SetVertexColor(MyRed, MyGreen, MyBlue, 1);
			MyQuestFrametex:SetTexture("Interface\\Addons\\Inked\\Textures\\Unit Frames\\QuestBar")

			
		end)

local function SetQuestFrame()
if Inked.db.char.iQL == false then
ObjectiveTrackerFrame:ClearAllPoints()
ObjectiveTrackerFrame:SetPoint("LEFT", Minimap,"BOTTOMLEFT", -175,-375)
ObjectiveTrackerFrame:SetScale(1.1)
ObjectiveTrackerFrame:SetWidth(300) -- Set these to whatever height/width is needed 
ObjectiveTrackerFrame:SetHeight(600) 
 
	else
	ObjectiveTrackerFrame:ClearAllPoints()
	ObjectiveTrackerFrame:SetPoint("TOP", MyQuestFrame,"BOTTOM", 56,28)
	ObjectiveTrackerFrame:SetScale(1.1)
	ObjectiveTrackerFrame:SetWidth(300) -- Set these to whatever height/width is needed 
	ObjectiveTrackerFrame:SetHeight(600) 
	--QuestWatchFrame.SetPoint = function() end
	ObjectiveTrackerBlocksFrame.QuestHeader.Text:Hide()
ObjectiveTrackerBlocksFrame.QuestHeader.Background:Hide()
ObjectiveTrackerBlocksFrame.QuestHeader.LineGlow:Hide()
ObjectiveTrackerBlocksFrame.QuestHeader.LineSheen:Hide()
ObjectiveTrackerBlocksFrame.QuestHeader.SoftGlow:Hide()
ObjectiveTrackerBlocksFrame.QuestHeader.StarBurst:Hide()
 end
end

ObjectiveTrackerFrame:HookScript("OnUpdate", SetQuestFrame)




	
